Extending Qt Creator Manual | JsonCheck

Extending Qt Creator Manual 4.5.2

# JsonCheck Class

(QmlJS::JsonCheck)

- List of all members, including inherited members

## Public Functions

| JsonCheck(Document::Ptr doc)
| ~JsonCheck()
QList<StaticAnalysis::Message> | operator()(Utils::JsonSchema *schema)

## Member Function Documentation

### JsonCheck::JsonCheck(Document::Ptr doc)

Default constructs an instance of JsonCheck.

### JsonCheck::~JsonCheck()

Destroys the instance of JsonCheck.

### QList<StaticAnalysis::Message> JsonCheck::operator()(Utils::JsonSchema *schema)